Method: projects.locations.goldengateDeploymentTypes.list

Lists GoldenGateDeploymentTypes in a given project and location.

HTTP request


GET https://oracledatabase.googleapis.com/v1/{parent=projects/*/locations/*}/goldengateDeploymentTypes

The URLs use gRPC Transcoding syntax.

Path parameters

Parameters
parent

string

Required. The parent resource. Format: projects/{project}/locations/{location}

Query parameters

Parameters
pageSize

integer

Optional. Requested page size. Server may return fewer items than requested. If unspecified, server will pick an appropriate default.

pageToken

string

Optional. A token identifying a page of results the server should return.

filter

string

Optional. An expression for filtering the results of the request. Either the deploymentType and oggVersion fields must be specified in the format: deploymentType="DATABASE_ORACLE" or oggVersion="version". Allowed values for deploymentType are: DATABASE_ORACLE, BIGDATA, DATABASE_MICROSOFT_SQLSERVER, DATABASE_MYSQL, DATABASE_POSTGRESQL, DATABASE_DB2ZOS, DATABASE_DB2I, GGSA, DATA_TRANSFORMS.

orderBy

string

Optional. Hint for how to order the results

Request body

The request body must be empty.

Response body

Message for response to listing GoldengateDeploymentTypes

If successful, the response body contains data with the following structure:

JSON representation
{
  "goldengateDeploymentTypes": [
    {
      object (GoldengateDeploymentType)
    }
  ],
  "nextPageToken": string,
  "unreachable": [
    string
  ]
}
Fields
goldengateDeploymentTypes[]

object (GoldengateDeploymentType)

The list of GoldengateDeploymentType

nextPageToken

string

A token, which can be sent as pageToken to retrieve the next page. If this field is omitted, there are no subsequent pages.

unreachable[]

string

Unordered list. The resource names of locations that could not be reached.

Authorization scopes

Requires one of the following OAuth scopes:

  • https://www.googleapis.com/auth/cloud-platform
  • https://www.googleapis.com/auth/oracle-database

For more information, see the Authentication Overview.

IAM Permissions

Requires the following IAM permission on the parent resource:

  • oracledatabase.goldenGateDeploymentTypes.list

For more information, see the IAM documentation.